Package groovy.jmx.builder

# Class JmxBuilderException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
groovy.jmx.builder.JmxBuilderException

All Implemented Interfaces:
  `Serializable`

public class JmxBuilderException extends RuntimeException
Runtime exception used by JmxBuilder.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JmxBuilderException()`
  Default constructor for exception.
  `JmxBuilderException(String ex)`
  Parameterized constructor.
  `JmxBuilderException(String msg, Throwable ex)`
  Parameterized constructor.
  `JmxBuilderException(Throwable ex)`
  Parameterized constructor.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### JmxBuilderException

    public JmxBuilderException()
    Default constructor for exception.

  - ### JmxBuilderException

    public JmxBuilderException(String ex)
    Parameterized constructor.
    Parameters:
      `ex` - - exception message.

  - ### JmxBuilderException

    public JmxBuilderException(Throwable ex)
    Parameterized constructor.
    Parameters:
      `ex` - - exception thrown.

  - ### JmxBuilderException

    public JmxBuilderException(String msg, Throwable ex)
    Parameterized constructor.
    Parameters:
      `msg` - - exception message.
      `ex` - - exception thrown.